## el-x 0.3.1

=== Makefile ===
PROJECT=el-x
VERSION=$(shell git describe --tags --dirty)
EMACS=emacs
SRC=lisp

ELS=$(wildcard $(SRC)/*.el)
ELCS=$(ELS:.el=.elc)
ELPA_FILES=$(ELS) $(PROJECT)-pkg.el

EFLAGS=
BATCH=$(EMACS) $(EFLAGS) -batch -q -no-site-file -eval \
  "(setq load-path (cons (expand-file-name \"$(SRC)\") load-path))"

%.elc: %.el
	$(BATCH) --eval '(byte-compile-file "$<")'

all: $(ELCS)

$(PROJECT)-pkg.el: $(PROJECT)-pkg.el.in
	sed -e s/@VERSION@/$(VERSION)/ < $< > $@

elpa: $(PROJECT)-$(VERSION).tar

$(PROJECT)-$(VERSION).tar: $(ELPA_FILES)
	mkdir $(PROJECT)-$(VERSION)
	cp $(ELPA_FILES) $(PROJECT)-$(VERSION)
	tar -cvf $(PROJECT)-$(VERSION).tar $(PROJECT)-$(VERSION)
	rm -rf $(PROJECT)-$(VERSION)

clean:
	rm -f $(ELCS) $(PROJECT)-pkg.el

=== debian/changelog ===
el-x (0.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 20:39:27 -0300

el-x (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Fri, 01 Jun 2018 20:54:44 -0300

el-x (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #855452)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 18 Feb 2017 17:07:33 +0500

=== debian/control ===
Source: el-x
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/sigma/el-x
Vcs-Browser: https://salsa.debian.org/emacsen-team/el-x
Vcs-Git: https://salsa.debian.org/emacsen-team/el-x.git

Package: elpa-el-x
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: Emacs Lisp extensions
 This package provides several Emacs Lisp extensions. Content:
 .
  * dflet.el: defines the `dflet' macro, to provide the historic behavior of
    `flet', a global and dynamic temporary function (re)definition tool.
 .
  * subr-compat.el: stubs `declare-function' for older Emacs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

.PHONY: override_dh_auto_build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/el-x-$1\.tar\.gz/ \
  https://github.com/sigma/el-x/tags .*/v?(\d\S*)\.tar\.gz
